Index: trunk/expressoMail1_2/js/jscode/messages_controller.js
===================================================================
--- trunk/expressoMail1_2/js/jscode/messages_controller.js	(revision 2642)
+++ trunk/expressoMail1_2/js/jscode/messages_controller.js	(revision 2676)
@@ -23,5 +23,5 @@
 		if(this.is_local_folder(msg_folder)) {
 			if(set_flag)
-				expresso_local_messages.set_messages_flag(msg_number,"seen");
+//				expresso_local_messages.set_messages_flag(msg_number,"seen");
 			var data = expresso_local_messages.get_local_mail(msg_number);	
 
Index: trunk/expressoMail1_2/js/jscode/mail_sync.js
===================================================================
--- trunk/expressoMail1_2/js/jscode/mail_sync.js	(revision 2579)
+++ trunk/expressoMail1_2/js/jscode/mail_sync.js	(revision 2676)
@@ -154,4 +154,5 @@
 		
 		var start_sync_mails = function(data) {
+		        data =  expresso.connector.unserialize( data );
 			expresso_mail_sync.messages=data;
 			if(expresso_mail_sync.is_auto)
@@ -166,5 +167,12 @@
 		if (folder_to_sync[3]) {
 			document.getElementById('main_title').innerHTML = get_lang("Starting to archive messages");
-			cExecute("expressoMail1_2.imap_functions.get_info_msgs&folder=" + folder_to_sync[0] + "&msgs_number=" + folder_to_sync[2], start_sync_mails);
+			_connector.cache();
+			_connector.go( {
+				"access" : "expressoMail1_2.imap_functions.get_info_msgs&folder=" + folder_to_sync[0] + "&msgs_number=" + folder_to_sync[2],
+				"cache" : true,
+				"handler" : start_sync_mails
+			} );
+
+			//cExecute("expressoMail1_2.imap_functions.get_info_msgs&folder=" + folder_to_sync[0] + "&msgs_number=" + folder_to_sync[2], start_sync_mails);
 			this.is_auto = false;
 		}
@@ -172,5 +180,12 @@
 			document.getElementById('main_title').innerHTML = get_lang("Starting to sync folder")+" "+lang_folder(folder_to_sync[1]);
 			var params = "folder="+folder_to_sync[0]+"&mails="+folder_to_sync[2];
-			cExecute("expressoMail1_2.imap_functions.msgs_to_archive", start_sync_mails,params);
+			_connector.cache();
+			_connector.go( {
+				"access" : "expressoMail1_2.imap_functions.msgs_to_archive"+params,
+				"cache" : true,
+				"handler" : start_sync_mails
+			} );
+
+			//cExecute("expressoMail1_2.imap_functions.msgs_to_archive", start_sync_mails,params);
 			this.is_auto = true;
 		}
@@ -192,5 +207,5 @@
 		new_value = parseInt(new_value) + 1;
 		document.getElementById('main_title').innerHTML = document.getElementById('main_title').innerHTML.replace(value_to_change,new_value+" /");
-		msg_to_sync = expresso.connector.unserialize(msg_to_sync);
+		//msg_to_sync = expresso.connector.unserialize(msg_to_sync);
 		
 		var source_msg = new Array();
@@ -387,6 +402,13 @@
 				expresso_mail_sync.remove_archived_mails();
 			}
-			
-			cExecute ("expressoMail1_2.imap_functions.delete_msgs&folder="+folder_to_remove_msgs+"&msgs_number="+msgs, handler_delete_msgs);
+
+			_connector.cache();
+			_connector.go( {
+				"access" : "expressoMail1_2.imap_functions.delete_msgs&folder="+folder_to_remove_msgs+"&msgs_number="+msgs,
+				"cache" : true,
+				"handler" : handler_delete_msgs
+			} );
+			
+			//cExecute ("expressoMail1_2.imap_functions.delete_msgs&folder="+folder_to_remove_msgs+"&msgs_number="+msgs, handler_delete_msgs);
 			this.dbGears.execute("delete from msgs_to_remove where folder=? and uid_usuario=?",[folder_to_remove_msgs,account_id]);
 			this.dbGears.close();
Index: trunk/expressoMail1_2/js/jscode/local_messages.js
===================================================================
--- trunk/expressoMail1_2/js/jscode/local_messages.js	(revision 2642)
+++ trunk/expressoMail1_2/js/jscode/local_messages.js	(revision 2676)
@@ -373,4 +373,5 @@
             for (i in anexos)
             {
+		if(!isNaN(i)){
                 nomeArquivo = anexos[i]['name'].substring(0,anexos[i]['name'].length - 4);
                 if(nomeArquivo.match('jpg')||anexos[i]['name'].match('gif')||anexos[i]['name'].match('png'))
@@ -389,4 +390,5 @@
                         }
                     }
+		}
             }
 
Index: trunk/expressoMail1_2/js/jscode/TreeS.js
===================================================================
--- trunk/expressoMail1_2/js/jscode/TreeS.js	(revision 2517)
+++ trunk/expressoMail1_2/js/jscode/TreeS.js	(revision 2676)
@@ -178,26 +178,27 @@
 			var local_folders = expresso_local_messages.list_local_folders();
 			for (var i in local_folders) { //Coloca as pastas locais.
-			
-				var node_parent = "local_root";
-				var new_caption = local_folders[i][0];
-				if(local_folders[i][0].indexOf("/")!="-1") {
-					final_pos = local_folders[i][0].lastIndexOf("/");
-					node_parent = "local_"+local_folders[i][0].substr(0,final_pos);
-					new_caption = local_folders[i][0].substr(final_pos+1);
+				if(!isNaN(i)){
+				    var node_parent = "local_root";
+				    var new_caption = local_folders[i][0];
+				    if(local_folders[i][0].indexOf("/")!="-1") {
+					    final_pos = local_folders[i][0].lastIndexOf("/");
+					    node_parent = "local_"+local_folders[i][0].substr(0,final_pos);
+					    new_caption = local_folders[i][0].substr(final_pos+1);
+				    }
+
+				    if (local_folders[i][1] > 0)
+					    var nodeLocal = new dNode({
+						    id: "local_" + local_folders[i][0],
+						    caption: lang_folder(new_caption) + '<font style=color:red>&nbsp(</font><span id="local_unseen" style=color:red>' + local_folders[i][1] + '</span><font style=color:red>)</font>',
+						    plusSign: local_folders[i][2]
+					    });
+				    else
+					    var nodeLocal = new dNode({
+						    id: "local_" + local_folders[i][0],
+						    caption: lang_folder(new_caption),
+						    plusSign: local_folders[i][2]
+					    });
+				    folders_tree.add(nodeLocal, node_parent);
 				}
-				
-				if (local_folders[i][1] > 0) 
-					var nodeLocal = new dNode({
-						id: "local_" + local_folders[i][0],
-						caption: lang_folder(new_caption) + '<font style=color:red>&nbsp(</font><span id="local_unseen" style=color:red>' + local_folders[i][1] + '</span><font style=color:red>)</font>',
-						plusSign: local_folders[i][2]
-					});
-				else 
-					var nodeLocal = new dNode({
-						id: "local_" + local_folders[i][0],
-						caption: lang_folder(new_caption),
-						plusSign: local_folders[i][2]
-					});
-				folders_tree.add(nodeLocal, node_parent);
 			}
 		}
